Subject: Re: bug#17962: 24.4.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jul 2014 13:30:20 +0300

> Date: Sun, 6 Jul 2014 16:30:29 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> Exception 0xc0000005 at this address:
> 0105edbd
> 
> Backtrace:
> 01201baf
> 01201c20
> 010f4223
> 01118a2e
> 01118a09
> 01118a62
> 010011e6
> 764502ff
> 774374fb
> 773f9f41
> 
> At the time, I was in the debugger, and I hit d when the sexp to be
> evaluated was (erase-buffer).  Dunno whether that helps.

This happens in display_line in the line marked below:

	  row->truncated_on_right_p = 1;
	  it->continuation_lines_width = 0;
	  reseat_at_next_visible_line_start (it, 0);
	  row->ends_at_zv_p = FETCH_BYTE (IT_BYTEPOS (*it) - 1) != '\n'; <<<<<<
	  break;
	}

A SIGSEGV there doesn't make much sense, but I added something in
emacs-24 revision 117374 to plumb the only possibility I could think
of.